searchData={"content_type":"text/markdown","items":[{"doc":"Documentation for `Dantzig`.","ref":"Dantzig.html","title":"Dantzig","type":"module"},{"doc":"","ref":"Dantzig.html#dump_problem_to_file/2","title":"Dantzig.dump_problem_to_file/2","type":"function"},{"doc":"","ref":"Dantzig.html#solve/1","title":"Dantzig.solve/1","type":"function"},{"doc":"","ref":"Dantzig.html#solve!/1","title":"Dantzig.solve!/1","type":"function"},{"doc":"TODO","ref":"Dantzig.Constraint.html","title":"Dantzig.Constraint","type":"module"},{"doc":"Tests whether the coonstraint depends on a given variable.\nSimilar to `Dantzig.Polynomial.depends_on?/2`.","ref":"Dantzig.Constraint.html#depends_on?/2","title":"Dantzig.Constraint.depends_on?/2","type":"function"},{"doc":"","ref":"Dantzig.Constraint.html#get_variables_by/2","title":"Dantzig.Constraint.get_variables_by/2","type":"function"},{"doc":"","ref":"Dantzig.Constraint.html#new/2","title":"Dantzig.Constraint.new/2","type":"macro"},{"doc":"Create new (normalized) constraint.\nDoesn't make sure the constraint is linear.\n\nExpects 3 required arguments:\n  - `left`: a polynomial or number for the left hand side\n  - `operator`: one of `:==`, `:>=` or `:<=`\n  - `right`: a polynomial or number for the right hand side\n\nExpects the following optional keyword arguments:\n  - `:name`: the name for the constraint","ref":"Dantzig.Constraint.html#new/4","title":"Dantzig.Constraint.new/4","type":"function"},{"doc":"","ref":"Dantzig.Constraint.html#new_linear/2","title":"Dantzig.Constraint.new_linear/2","type":"macro"},{"doc":"Create new (normalized) linear constraint.\nWill raise an error if the constraint is not linear.\n\nExpects 3 required arguments:\n  - `left`: a polynomial or number for the left hand side\n  - `operator`: one of `:==`, `:>=` or `:<=`\n  - `right`: a polynomial or number for the right hand side\n\nExpects the following optional keyword arguments:\n  - `:name`: the name for the constraint","ref":"Dantzig.Constraint.html#new_linear/4","title":"Dantzig.Constraint.new_linear/4","type":"function"},{"doc":"Tests whether the coonstraint depends on a given variable.\nSimilar to `Dantzig.Polynomial.depends_on?/2`.","ref":"Dantzig.Constraint.html#solve_for_variable/2","title":"Dantzig.Constraint.solve_for_variable/2","type":"function"},{"doc":"","ref":"Dantzig.Constraint.html#t:t/0","title":"Dantzig.Constraint.t/0","type":"type"},{"doc":"Constraint metadata for debugging purposes.","ref":"Dantzig.ConstraintMetadata.html","title":"Dantzig.ConstraintMetadata","type":"module"},{"doc":"Create a metadata struct from an environment (e.g. `__ENV__`, `__CALLER__`),\nand some extra attributes.\n\nSupports the following extra attributes:\n\n  - `:tags` (*optional*, default: [])\n  - `:attrs` (*optional*, default: [])","ref":"Dantzig.ConstraintMetadata.html#from_env/2","title":"Dantzig.ConstraintMetadata.from_env/2","type":"function"},{"doc":"","ref":"Dantzig.ConstraintMetadata.html#t:t/0","title":"Dantzig.ConstraintMetadata.t/0","type":"type"},{"doc":"Converts constraint metadata into a comment in the `.lp` file format.\n\nSupports `nil` as an argument, so it can be used for constraints without metadata.","ref":"Dantzig.ConstraintMetadata.html#to_lp_comment/1","title":"Dantzig.ConstraintMetadata.to_lp_comment/1","type":"function"},{"doc":"Updates a metadata struct withn extra attributes.\n\nSupports the following extra attributes:\n\n  - `:tags` (*optional*, default: [])\n  - `:attrs` (*optional*, default: [])\n\nIf the `:app` field isn't present, the function will attempt\nto get the `:app` value from the given `:module`.\nIf the metadata was created from an environment,\nsometimes the application name can't be deduced at\ncompile time, and if this function runs at runtime,\nit will pretty much always be able to get the application\nfrom the module name.","ref":"Dantzig.ConstraintMetadata.html#update/2","title":"Dantzig.ConstraintMetadata.update/2","type":"function"},{"doc":"","ref":"Dantzig.FunctionCall.html","title":"Dantzig.FunctionCall","type":"module"},{"doc":"","ref":"Dantzig.FunctionCall.html#new/3","title":"Dantzig.FunctionCall.new/3","type":"function"},{"doc":"","ref":"Dantzig.FunctionCall.html#new_context_dependent/3","title":"Dantzig.FunctionCall.new_context_dependent/3","type":"function"},{"doc":"","ref":"Dantzig.HiGHSDownloader.html","title":"Dantzig.HiGHSDownloader","type":"module"},{"doc":"","ref":"Dantzig.HiGHSDownloader.html#download_for_target/2","title":"Dantzig.HiGHSDownloader.download_for_target/2","type":"function"},{"doc":"","ref":"Dantzig.HiGHSDownloader.html#maybe_download_for_target/0","title":"Dantzig.HiGHSDownloader.maybe_download_for_target/0","type":"function"},{"doc":"","ref":"Dantzig.HiGHSDownloader.html#target/0","title":"Dantzig.HiGHSDownloader.target/0","type":"function"},{"doc":"","ref":"Dantzig.Polynomial.html","title":"Dantzig.Polynomial","type":"module"},{"doc":"","ref":"Dantzig.Polynomial.html#add/2","title":"Dantzig.Polynomial.add/2","type":"function"},{"doc":"","ref":"Dantzig.Polynomial.html#algebra/1","title":"Dantzig.Polynomial.algebra/1","type":"macro"},{"doc":"","ref":"Dantzig.Polynomial.html#coefficient_for/2","title":"Dantzig.Polynomial.coefficient_for/2","type":"function"},{"doc":"","ref":"Dantzig.Polynomial.html#coefficients/1","title":"Dantzig.Polynomial.coefficients/1","type":"function"},{"doc":"","ref":"Dantzig.Polynomial.html#const/1","title":"Dantzig.Polynomial.const/1","type":"function"},{"doc":"","ref":"Dantzig.Polynomial.html#constant?/1","title":"Dantzig.Polynomial.constant?/1","type":"function"},{"doc":"","ref":"Dantzig.Polynomial.html#degree/1","title":"Dantzig.Polynomial.degree/1","type":"function"},{"doc":"","ref":"Dantzig.Polynomial.html#degree_on/2","title":"Dantzig.Polynomial.degree_on/2","type":"function"},{"doc":"","ref":"Dantzig.Polynomial.html#depends_on?/2","title":"Dantzig.Polynomial.depends_on?/2","type":"function"},{"doc":"","ref":"Dantzig.Polynomial.html#divide/2","title":"Dantzig.Polynomial.divide/2","type":"function"},{"doc":"","ref":"Dantzig.Polynomial.html#equal?/2","title":"Dantzig.Polynomial.equal?/2","type":"function"},{"doc":"","ref":"Dantzig.Polynomial.html#evaluate/2","title":"Dantzig.Polynomial.evaluate/2","type":"function"},{"doc":"","ref":"Dantzig.Polynomial.html#evaluate!/2","title":"Dantzig.Polynomial.evaluate!/2","type":"function"},{"doc":"","ref":"Dantzig.Polynomial.html#find_variables_by/2","title":"Dantzig.Polynomial.find_variables_by/2","type":"function"},{"doc":"","ref":"Dantzig.Polynomial.html#get_variables_by/2","title":"Dantzig.Polynomial.get_variables_by/2","type":"function"},{"doc":"","ref":"Dantzig.Polynomial.html#has_constant_term?/1","title":"Dantzig.Polynomial.has_constant_term?/1","type":"function"},{"doc":"","ref":"Dantzig.Polynomial.html#merge_and_simplify_terms_in_polynomial/1","title":"Dantzig.Polynomial.merge_and_simplify_terms_in_polynomial/1","type":"function"},{"doc":"","ref":"Dantzig.Polynomial.html#monomial/2","title":"Dantzig.Polynomial.monomial/2","type":"function"},{"doc":"","ref":"Dantzig.Polynomial.html#multiply/2","title":"Dantzig.Polynomial.multiply/2","type":"function"},{"doc":"","ref":"Dantzig.Polynomial.html#number_of_terms/1","title":"Dantzig.Polynomial.number_of_terms/1","type":"function"},{"doc":"","ref":"Dantzig.Polynomial.html#power/2","title":"Dantzig.Polynomial.power/2","type":"function"},{"doc":"","ref":"Dantzig.Polynomial.html#product/1","title":"Dantzig.Polynomial.product/1","type":"function"},{"doc":"","ref":"Dantzig.Polynomial.html#replace/2","title":"Dantzig.Polynomial.replace/2","type":"function"},{"doc":"Replace operators by their polynomial versions inside a code block.","ref":"Dantzig.Polynomial.html#replace_operators/1","title":"Dantzig.Polynomial.replace_operators/1","type":"function"},{"doc":"","ref":"Dantzig.Polynomial.html#scale/2","title":"Dantzig.Polynomial.scale/2","type":"function"},{"doc":"","ref":"Dantzig.Polynomial.html#separate_constant/1","title":"Dantzig.Polynomial.separate_constant/1","type":"function"},{"doc":"","ref":"Dantzig.Polynomial.html#serialize/1","title":"Dantzig.Polynomial.serialize/1","type":"function"},{"doc":"","ref":"Dantzig.Polynomial.html#split_constant/1","title":"Dantzig.Polynomial.split_constant/1","type":"function"},{"doc":"","ref":"Dantzig.Polynomial.html#substitute/2","title":"Dantzig.Polynomial.substitute/2","type":"function"},{"doc":"","ref":"Dantzig.Polynomial.html#subtract/2","title":"Dantzig.Polynomial.subtract/2","type":"function"},{"doc":"","ref":"Dantzig.Polynomial.html#sum/1","title":"Dantzig.Polynomial.sum/1","type":"function"},{"doc":"","ref":"Dantzig.Polynomial.html#t:t/0","title":"Dantzig.Polynomial.t/0","type":"type"},{"doc":"","ref":"Dantzig.Polynomial.html#term/2","title":"Dantzig.Polynomial.term/2","type":"function"},{"doc":"","ref":"Dantzig.Polynomial.html#to_iodata/1","title":"Dantzig.Polynomial.to_iodata/1","type":"function"},{"doc":"","ref":"Dantzig.Polynomial.html#to_lp_constraint/1","title":"Dantzig.Polynomial.to_lp_constraint/1","type":"function"},{"doc":"","ref":"Dantzig.Polynomial.html#to_number!/1","title":"Dantzig.Polynomial.to_number!/1","type":"function"},{"doc":"","ref":"Dantzig.Polynomial.html#to_number_if_possible/1","title":"Dantzig.Polynomial.to_number_if_possible/1","type":"function"},{"doc":"","ref":"Dantzig.Polynomial.html#to_polynomial/1","title":"Dantzig.Polynomial.to_polynomial/1","type":"function"},{"doc":"","ref":"Dantzig.Polynomial.html#variable/1","title":"Dantzig.Polynomial.variable/1","type":"function"},{"doc":"","ref":"Dantzig.Polynomial.html#variables/1","title":"Dantzig.Polynomial.variables/1","type":"function"},{"doc":"","ref":"Dantzig.Polynomial.Operators.html","title":"Dantzig.Polynomial.Operators","type":"module"},{"doc":"","ref":"Dantzig.Polynomial.Operators.html#*/2","title":"Dantzig.Polynomial.Operators.*/2","type":"function"},{"doc":"","ref":"Dantzig.Polynomial.Operators.html#+/2","title":"Dantzig.Polynomial.Operators.+/2","type":"function"},{"doc":"","ref":"Dantzig.Polynomial.Operators.html#-/2","title":"Dantzig.Polynomial.Operators.-/2","type":"function"},{"doc":"","ref":"Dantzig.Polynomial.Operators.html#//2","title":"Dantzig.Polynomial.Operators.//2","type":"function"},{"doc":"","ref":"Dantzig.Problem.html","title":"Dantzig.Problem","type":"module"},{"doc":"","ref":"Dantzig.Problem.html#add_constraint/3","title":"Dantzig.Problem.add_constraint/3","type":"function"},{"doc":"","ref":"Dantzig.Problem.html#decrement_objective/2","title":"Dantzig.Problem.decrement_objective/2","type":"function"},{"doc":"","ref":"Dantzig.Problem.html#increment_objective/2","title":"Dantzig.Problem.increment_objective/2","type":"function"},{"doc":"","ref":"Dantzig.Problem.html#maximize/2","title":"Dantzig.Problem.maximize/2","type":"function"},{"doc":"","ref":"Dantzig.Problem.html#minimize/2","title":"Dantzig.Problem.minimize/2","type":"function"},{"doc":"","ref":"Dantzig.Problem.html#new/1","title":"Dantzig.Problem.new/1","type":"function"},{"doc":"","ref":"Dantzig.Problem.html#new_unmangled_variable/3","title":"Dantzig.Problem.new_unmangled_variable/3","type":"function"},{"doc":"","ref":"Dantzig.Problem.html#new_variable/3","title":"Dantzig.Problem.new_variable/3","type":"function"},{"doc":"","ref":"Dantzig.Problem.html#new_variables/3","title":"Dantzig.Problem.new_variables/3","type":"function"},{"doc":"","ref":"Dantzig.Problem.html#solve_for_all_variables/1","title":"Dantzig.Problem.solve_for_all_variables/1","type":"function"},{"doc":"","ref":"Dantzig.Problem.html#t:t/0","title":"Dantzig.Problem.t/0","type":"type"},{"doc":"","ref":"Dantzig.Solution.html","title":"Dantzig.Solution","type":"module"},{"doc":"","ref":"Dantzig.Solution.html#evaluate/2","title":"Dantzig.Solution.evaluate/2","type":"function"},{"doc":"","ref":"Dantzig.Solution.html#from_file_contents/1","title":"Dantzig.Solution.from_file_contents/1","type":"function"},{"doc":"","ref":"Dantzig.Solution.html#from_file_contents!/1","title":"Dantzig.Solution.from_file_contents!/1","type":"function"},{"doc":"","ref":"Dantzig.Solution.html#nr_of_constraints/1","title":"Dantzig.Solution.nr_of_constraints/1","type":"function"},{"doc":"","ref":"Dantzig.Solution.html#nr_of_variables/1","title":"Dantzig.Solution.nr_of_variables/1","type":"function"},{"doc":"A constraint that has been solved for the value of one of the variables","ref":"Dantzig.SolvedConstraint.html","title":"Dantzig.SolvedConstraint","type":"module"},{"doc":"","ref":"Dantzig.SolvedConstraint.html#t:t/0","title":"Dantzig.SolvedConstraint.t/0","type":"type"},{"doc":"","ref":"Dantzig.Test.PolynomialGenerators.html","title":"Dantzig.Test.PolynomialGenerators","type":"module"},{"doc":"","ref":"Dantzig.Test.PolynomialGenerators.html#polynomial/1","title":"Dantzig.Test.PolynomialGenerators.polynomial/1","type":"function"},{"doc":"","ref":"Dantzig.Test.PolynomialGenerators.html#polynomials/1","title":"Dantzig.Test.PolynomialGenerators.polynomials/1","type":"function"},{"doc":"","ref":"Dantzig.Test.PolynomialGenerators.html#polynomials_and_substitutions/1","title":"Dantzig.Test.PolynomialGenerators.polynomials_and_substitutions/1","type":"function"},{"doc":"","ref":"Dantzig.Test.PolynomialGenerators.html#variable/0","title":"Dantzig.Test.PolynomialGenerators.variable/0","type":"function"},{"doc":"","ref":"Dantzig.Test.PolynomialGenerators.html#variable_name/0","title":"Dantzig.Test.PolynomialGenerators.variable_name/0","type":"function"}],"producer":{"name":"ex_doc","version":"0.37.1"},"proglang":"elixir"}